View Issue Details

IDProjectCategoryView StatusLast Update
13840Bug reports[All Projects] Authenticationpublic2018-08-07 17:01
ReportergeraldCAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.13.x 
Summary13840: Login with local user gives a php7.2 warning
Description

When login in with a local user on an installation that uses php7.2 and debug=1 a warning appears :
"count(): Parameter must be an array or an object that implements Countable " on line 585 for the file application/models/UpdateForm.php

Steps To Reproduce

Login with local user (and debug=1 in config.php)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.13.1
I will donate to the project if issue is resolvedNo
Browserany
Database & DB-VersionN/A
Server OS (if known)N/A
Webserver software & version (if known)N/A
PHP Version7.2

Activities

geraldC

geraldC

2018-07-03 17:20

reporter  

php7.2Count.png (10,160 bytes)
php7.2Count.png (10,160 bytes)
markusfluer

markusfluer

2018-08-07 17:01

manager   ~48728

Release 3.14.2+180807

Issue History

Date Modified Username Field Change
2018-07-03 17:20 geraldC New Issue
2018-07-03 17:20 geraldC File Added: php7.2Count.png
2018-07-09 12:55 markusfluer Assigned To => markusfluer
2018-07-09 12:55 markusfluer Status new => resolved
2018-07-09 12:55 markusfluer Resolution open => fixed
2018-07-09 12:55 markusfluer Fixed in Version => 3.13.x
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48728